summaryrefslogtreecommitdiff
path: root/abe-bisect.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2019-04-04 13:49:10 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2019-04-04 13:49:51 +0000
commit52087f72581b3a99c02444b9d6ec90bab5791538 (patch)
tree358b82fd0b1e893fe0bc867a8fcd6b4c549cd4b7 /abe-bisect.sh
parent8536e2422bad2aacc0bf3603a7df692423cbc81e (diff)
abe-bisect.sh: Prefix notification email with a link to BUILD_URL
Change-Id: Id7c7d3a26132aa3834953e9c4589e2c29c97f75c
Diffstat (limited to 'abe-bisect.sh')
-rwxr-xr-xabe-bisect.sh19
1 files changed, 10 insertions, 9 deletions
diff --git a/abe-bisect.sh b/abe-bisect.sh
index 73bbe81b..66a2b980 100755
--- a/abe-bisect.sh
+++ b/abe-bisect.sh
@@ -42,6 +42,10 @@ cd "${mydir}"
mydir="$(pwd)"
cd ${rundir}
+MAILBODY=${rundir}/mail-body.txt
+rm -f $MAILBODY
+echo "Please check console output at ${BUILD_URL} to view the results." > $MAILBODY
+
rm -rf abe
git clone http://git.linaro.org/toolchain/abe.git
ABE=${rundir}/abe
@@ -65,11 +69,8 @@ BADSHA1=`git log --format=format:"%H" --grep=trunk@${BAD} master`
echo GOOD: $GOODSHA1
echo BAD: $BADSHA1
-MAILBODY=${rundir}/mail-body.txt
-rm -f $MAILBODY
-
-[ x"$GOODSHA1" = x ] && (echo "ERROR: Could not find good commit ($GOOD)" | tee $MAILBODY) && exit 1
-[ x"$BADSHA1" = x ] && (echo "ERROR: Could not find bad commit ($BAD)" | tee $MAILBODY) && exit 1
+[ x"$GOODSHA1" = x ] && (echo "ERROR: Could not find good commit ($GOOD)" | tee -a $MAILBODY) && exit 1
+[ x"$BADSHA1" = x ] && (echo "ERROR: Could not find bad commit ($BAD)" | tee -a $MAILBODY) && exit 1
# Build list of gcc configure options depending on cpu/fpu/mode
GCC_OVERRIDE_CONFIGURE=
@@ -93,7 +94,7 @@ ${ABE}/abe.sh --target ${TARGET} \
--check gcc \
--excludecheck gdb >& gcc-${GOODSHA1}.log
if [ $? -ne 0 ]; then
- echo "ERROR: failure while building/testing GOOD ($GOOD}" | tee $MAILBODY
+ echo "ERROR: failure while building/testing GOOD ($GOOD}" | tee -a $MAILBODY
exit 1
fi
@@ -109,7 +110,7 @@ ${ABE}/abe.sh --target ${TARGET} \
--check gcc \
--excludecheck gdb >& gcc-${BADSHA1}.log
if [ $? -ne 0 ]; then
- echo "ERROR: failure while building/testing BAD ($BAD}" | tee $MAILBODY
+ echo "ERROR: failure while building/testing BAD ($BAD}" | tee -a $MAILBODY
exit 1
fi
@@ -119,7 +120,7 @@ bad_nb_pass=$(grep ${TESTNAME} $sums | grep -c PASS)
# make sure BAD has more failures than GOOD
if [ $bad_nb_fail -le $good_nb_fail ]; then
- echo "ERROR: BAD ($BAD) does not have more failures ($bad_nb_fail) than GOOD ($GOOD) ($good_nb_fail)" | tee $MAILBODY
+ echo "ERROR: BAD ($BAD) does not have more failures ($bad_nb_fail) than GOOD ($GOOD) ($good_nb_fail)" | tee -a $MAILBODY
exit 1
fi
@@ -129,4 +130,4 @@ git bisect good ${GOODSHA1}
git bisect bad ${BADSHA1}
RUNDIR=${rundir} ABE=${ABE} EXP=${EXP} TESTNAME=${TESTNAME} TARGET=${TARGET} CPU=${CPU} FPU=${FPU} MODE=${MODE} SIMU=${SIMU} TARGETBOARD=${TARGETBOARD} GOODPASS=${good_nb_pass} GOODFAIL=${good_nb_fail} BADPASS=${bad_nb_pass} BADFAIL=${bad_nb_fail} git bisect run ${mydir}/abe-bisect-helper.sh | tee bisect.log
-git bisect visualize | tee $MAILBODY
+git bisect visualize | tee -a $MAILBODY